List Signals
curl --request POST \
--url https://api.datamagnet.co/api/v1/signal/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signal_type": "<string>"
}
'import requests
url = "https://api.datamagnet.co/api/v1/signal/list"
payload = { "signal_type": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signal_type: '<string>'})
};
fetch('https://api.datamagnet.co/api/v1/signal/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": [
{
"signal_id": "e7f1c2a4-9b3d-4c8e-a1f5-6d2b0c9e8a7f",
"signal_type": "job_change",
"name": "Champions",
"status": "active",
"profile_urls": [
"https://linkedin.com/in/satyanadella",
"https://linkedin.com/in/williamgates"
],
"email_recipients": ["user@example.com", "teammate@example.com"],
"webhook_url": "https://yourapp.com/webhooks/signals"
},
{
"signal_id": "3c9d8e7f-6a5b-4c3d-9e2f-1a0b9c8d7e6f",
"signal_type": "job_change",
"name": "Churned customers",
"status": "active",
"profile_urls": ["https://linkedin.com/in/reidhoffman"],
"email_recipients": ["user@example.com"]
},
{
"signal_id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"signal_type": "person_activity",
"name": "Person Activity Monitor",
"status": "paused",
"profile_urls": ["https://linkedin.com/in/satyanadella"],
"activity_types": ["reactions", "comments"],
"email_recipients": ["user@example.com"]
}
],
"credit_used": 0
}
List Signals
List the Datamagnet signal monitors on your account with their signal_id, name, type, status, and the LinkedIn profiles or targets they track.
POST
/
api
/
v1
/
signal
/
list
List Signals
Returns all signal monitors for your account, active and paused, each with thesignal_id you use to update or delete it. Optionally filter by signal_type.
To read the leads your engagement signals have found, use /signal/leads.
Request
Optional attributes
string
Return only signals of this type:
job_change, new_post, person_activity, keyword_engagement, industry_engagement, company_engagement, or person_engagement.Omit this field to return all your signals.Response
{
"message": [
{
"signal_id": "e7f1c2a4-9b3d-4c8e-a1f5-6d2b0c9e8a7f",
"signal_type": "job_change",
"name": "Champions",
"status": "active",
"profile_urls": [
"https://linkedin.com/in/satyanadella",
"https://linkedin.com/in/williamgates"
],
"email_recipients": ["user@example.com", "teammate@example.com"],
"webhook_url": "https://yourapp.com/webhooks/signals"
},
{
"signal_id": "3c9d8e7f-6a5b-4c3d-9e2f-1a0b9c8d7e6f",
"signal_type": "job_change",
"name": "Churned customers",
"status": "active",
"profile_urls": ["https://linkedin.com/in/reidhoffman"],
"email_recipients": ["user@example.com"]
},
{
"signal_id": "a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"signal_type": "person_activity",
"name": "Person Activity Monitor",
"status": "paused",
"profile_urls": ["https://linkedin.com/in/satyanadella"],
"activity_types": ["reactions", "comments"],
"email_recipients": ["user@example.com"]
}
],
"credit_used": 0
}
Response fields
array
Your signals, newest first. Engagement signals have their own fields (such as
keywords, icp, or person_groups), as in their create responses.Show Profile signal (job_change / new_post / person_activity)
Show Profile signal (job_change / new_post / person_activity)
string
The signal’s unique ID. Use it to update or delete this signal.
string
job_change, new_post, or person_activity.string
The signal’s display name.
string
active or paused.array
LinkedIn profile URLs currently being tracked.
array
person_activity only. What the signal reports.array
Email addresses that receive notifications when this signal fires.
string
Webhook URL for signal delivery. Only present if configured.
Was this page helpful?